Retrieves all whitelisted IP addresses for a trunk.
https://<your_api_key>:<your_api_token>@<subdomain>/v2/accounts/<your_sid>/trunks/<trunk_sid>/whitelisted-ips
If you’d prefer response in JSON format, just append .json at the end of the HTTP GET request.
Replace <your_api_key> and <your_api_token> with the API key and token created by you.
<your_sid> with your “Account sid”<subdomain> with the region of your account<your_api_key> , <your_api_token> and <your_sid> are available in the API settings page of your Exotel Dashboard
| Header | Value |
|---|---|
| Content-Type | application/json |
curl -X GET "https://<your_api_key>:<your_api_token>@<subdomain>/v2/accounts/<your_sid>/trunks/<trunk_sid>/whitelisted-ips"
On success, the HTTP response status code will be 200 OK
{
"request_id": "91dc982ca79846479c6f9678c788cfc1",
"method": "GET",
"http_code": 200,
"metadata": {
"page_size": 50,
"first_page_uri": "/v2/accounts/ameyo5m/trunks/trmum1f708622631150902801a1n/whitelisted-ips?offset=0&page_size=50",
"prev_page_uri": null,
"next_page_uri": null
},
"response": [
{
"code": 200,
"error_data": null,
"status": "success",
"data": {
"id": "1154",
"mask": 32,
"trunk_sid": "trmum1f708622631150902801a1n",
"ip": "44.248.146.11",
"friendly_name": null,
"date_created": "2026-01-23T13:30:04Z",
"date_updated": "2026-01-23T13:30:04Z"
}
}
]
}